Routes
Add collection supplemental information
POSThttps://api.insurely.com/collections/{collectionId}/supplement-info
Add supplemental information to a collection. See the extended section of SupplementInformation for what types of supplemental information that are supported.
Request
Path Parameters
collectionIdstring
Header Parameters
Insurely-Versionstring
The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.
Possible Enum values are
2026-04-01.Request Body
typestring
Type of the supplemental information.
Possible Enum values are
TWO_FACTOR_CODE, TWO_FACTOR_CHOICE, RESPONSE_OBJECT or COLLECTION_INPUT.One of these types:
Properties below are from the TwoFactorCode subtype. View the full schema for full details.
typestring
Possible Enum values are
TWO_FACTOR_CODE.valuestring
Two factor code
Responses
Successfully added supplemental information.
cURL
curl https://api.insurely.com/collections/{collectionId}/supplement-info \
-H "authorization-token: <authorization-token>" \
-H "Insurely-Version: 2026-04-01" \
-H "Content-Type: application/json" \
-d '{
"type": "TWO_FACTOR_CODE",
"value": "A12345"
}' \
-X POST